<?php
// developed by sjlu
// this is for mock purposes only

// the objective of this is to create a JSON array of
// usable mobile web shortcuts that are stored in a database

// for mock reasons, we will just create our own array
// later this should be from a database

$basedir = dirname(__FILE__);

include_once($basedir . '/include/config.php');

isset($GLOBALS['CONFIG']) or die("FATAL: " . __FILE__ . ":" . __LINE__. ": config parsing failed\n"); 

function generate_shortcut($handle, $title, $www)
{
   $s = array(
      "handle" =>  $handle,
      "title"  =>  $title,
      "www"    =>  $www
   );

   return $s;
}

function save_data($json)
{
   $file = fopen($GLOBALS['CONFIG']['temp_dir'] . '/shortcuts.txt', 'w');
   fwrite($file, $json);
   fclose($file);

   chmod($GLOBALS['CONFIG']['temp_dir'] . '/shortcuts.txt', 0644);
   rename($GLOBALS['CONFIG']['temp_dir'] . '/shortcuts.txt',$GLOBALS['CONFIG']['web_dir'] . '/shortcuts.txt');
}

$a = array();

$a[] = generate_shortcut('sakai', 'Sakai', 'https://sakai.rutgers.edu/mobile');
$a[] = generate_shortcut('stud_life', 'Student Life', 'http://getinvolved.rutgers.edu/m/');
$a[] = generate_shortcut('campus_status', 'Emergency Management', 'http://halflife.rutgers.edu/ec/notices.php');
$a[] = generate_shortcut('myrutgers', 'myRutgers', 'https://my.rutgers.edu/');

save_data(json_encode($a));
